import axios from "@/utils/axios";

// 获取买入确认列表
export function getBuyConfList(params) {
  return axios.post(`/myCenter/unconfirmedTradeOrder/buy`, params);
}

// 买家上传支付凭证
export function uploadImg(params) {
  return axios.post(`/myCenter/uploadCertificateImg`, params);
}

// 获取卖出确认列表
export function getSellConfList(params) {
  return axios.post(`/myCenter/unconfirmedTradeOrder/sell`, params);
}

// 买家确认交易单
export function buyerConf(orderId) {
  return axios.get(`/myCenter/confirmedTradeOrderForBuyer?orderId=${orderId}`);
}

// 卖家确认交易单
export function sellerConf(orderId) {
  return axios.get(`/myCenter/confirmedTradeOrderForSeller?orderId=${orderId}`);
}

// 根据交易单id获取上传凭证
export function getImg(orderId) {
  // 返回一个Promise，它将解析为一个包含Blob数据的axios响应
  return axios.get(`/myCenter/download/${orderId}`, {
    responseType: 'blob', // 告诉axios返回类型为blob
  }).then(response => {
    // 创建一个可用于img标签的Object URL
    return URL.createObjectURL(response.data);
  }).catch(error => {
    // 打印错误并抛出，以便调用者可以处理这个错误
    console.error('Failed to fetch PNG:', error);
    throw error;
  });
}